# H235_SIGNED< ToBeSigned > Class Template Reference

`#include <h235.h>`

Inheritance diagram for H235_SIGNED< ToBeSigned >:

List of all members.

## Public Member Functions

| H235_SIGNED (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

ToBeSigned | m_toBeSigned
PASN_ObjectId | m_algorithmOID
H235_Params | m_paramS
PASN_BitString | m_signature

### template<class ToBeSigned>
class H235_SIGNED< ToBeSigned >

## Constructor & Destructor Documentation

template<class ToBeSigned>

H235_SIGNED< ToBeSigned >::H235_SIGNED | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

template<class ToBeSigned>

PINDEX H235_SIGNED< ToBeSigned >::GetDataLength | ( |  | ) | const

template<class ToBeSigned>

PBoolean H235_SIGNED< ToBeSigned >::Decode | ( | PASN_Stream & | strm | ) |

template<class ToBeSigned>

void H235_SIGNED< ToBeSigned >::Encode | ( | PASN_Stream & | strm | ) | const

template<class ToBeSigned>

void H235_SIGNED< ToBeSigned >::PrintOn | ( | ostream & | strm | ) | const

template<class ToBeSigned>

Comparison H235_SIGNED< ToBeSigned >::Compare | ( | const PObject & | obj | ) | const

template<class ToBeSigned>

PObject* H235_SIGNED< ToBeSigned >::Clone | ( |  | ) | const

## Member Data Documentation

template<class ToBeSigned>

ToBeSigned H235_SIGNED< ToBeSigned >::m_toBeSigned

template<class ToBeSigned>

PASN_ObjectId H235_SIGNED< ToBeSigned >::m_algorithmOID

template<class ToBeSigned>

H235_Params H235_SIGNED< ToBeSigned >::m_paramS

template<class ToBeSigned>

PASN_BitString H235_SIGNED< ToBeSigned >::m_signature

The documentation for this class was generated from the following file:

- h235.h